
package easybox.petalslink.com.esrawreport._1;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAnyElement;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;
import javax.xml.namespace.QName;


/**
 * <p>Java class for ReportType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ReportType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="exchangeId" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="timeStamp" type="{http://com.petalslink/esrawreport/1.0}reportTimeStampType"/>
 *         &lt;element name="dateInGMT" type="{http://www.w3.org/2001/XMLSchema}dateTime"/>
 *         &lt;element name="consumerEndpointAddress" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="serviceQName" type="{http://www.w3.org/2001/XMLSchema}QName"/>
 *         &lt;element name="operationName" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="interfaceQName" type="{http://www.w3.org/2001/XMLSchema}QName"/>
 *         &lt;element name="providerEndpointAddress" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="endpointName" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="contentLength" type="{http://www.w3.org/2001/XMLSchema}long"/>
 *         &lt;element name="doesThisResponseIsAnException" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;any/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ReportType", propOrder = {
    "exchangeId",
    "timeStamp",
    "dateInGMT",
    "consumerEndpointAddress",
    "serviceQName",
    "operationName",
    "interfaceQName",
    "providerEndpointAddress",
    "endpointName",
    "contentLength",
    "doesThisResponseIsAnException",
    "any"
})
public class EJaxbReportType {

    @XmlElement(required = true)
    protected String exchangeId;
    @XmlElement(required = true)
    protected EJaxbReportTimeStampType timeStamp;
    @XmlElement(required = true)
    @XmlSchemaType(name = "dateTime")
    protected XMLGregorianCalendar dateInGMT;
    @XmlElement(required = true)
    protected String consumerEndpointAddress;
    @XmlElement(required = true)
    protected QName serviceQName;
    @XmlElement(required = true)
    protected String operationName;
    @XmlElement(required = true)
    protected QName interfaceQName;
    @XmlElement(required = true)
    protected String providerEndpointAddress;
    @XmlElement(required = true)
    protected String endpointName;
    protected long contentLength;
    protected boolean doesThisResponseIsAnException;
    @XmlAnyElement(lax = true)
    protected Object any;

    /**
     * Gets the value of the exchangeId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getExchangeId() {
        return exchangeId;
    }

    /**
     * Sets the value of the exchangeId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setExchangeId(String value) {
        this.exchangeId = value;
    }

    public boolean isSetExchangeId() {
        return (this.exchangeId!= null);
    }

    /**
     * Gets the value of the timeStamp property.
     * 
     * @return
     *     possible object is
     *     {@link EJaxbReportTimeStampType }
     *     
     */
    public EJaxbReportTimeStampType getTimeStamp() {
        return timeStamp;
    }

    /**
     * Sets the value of the timeStamp property.
     * 
     * @param value
     *     allowed object is
     *     {@link EJaxbReportTimeStampType }
     *     
     */
    public void setTimeStamp(EJaxbReportTimeStampType value) {
        this.timeStamp = value;
    }

    public boolean isSetTimeStamp() {
        return (this.timeStamp!= null);
    }

    /**
     * Gets the value of the dateInGMT property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getDateInGMT() {
        return dateInGMT;
    }

    /**
     * Sets the value of the dateInGMT property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setDateInGMT(XMLGregorianCalendar value) {
        this.dateInGMT = value;
    }

    public boolean isSetDateInGMT() {
        return (this.dateInGMT!= null);
    }

    /**
     * Gets the value of the consumerEndpointAddress property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getConsumerEndpointAddress() {
        return consumerEndpointAddress;
    }

    /**
     * Sets the value of the consumerEndpointAddress property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setConsumerEndpointAddress(String value) {
        this.consumerEndpointAddress = value;
    }

    public boolean isSetConsumerEndpointAddress() {
        return (this.consumerEndpointAddress!= null);
    }

    /**
     * Gets the value of the serviceQName property.
     * 
     * @return
     *     possible object is
     *     {@link QName }
     *     
     */
    public QName getServiceQName() {
        return serviceQName;
    }

    /**
     * Sets the value of the serviceQName property.
     * 
     * @param value
     *     allowed object is
     *     {@link QName }
     *     
     */
    public void setServiceQName(QName value) {
        this.serviceQName = value;
    }

    public boolean isSetServiceQName() {
        return (this.serviceQName!= null);
    }

    /**
     * Gets the value of the operationName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getOperationName() {
        return operationName;
    }

    /**
     * Sets the value of the operationName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setOperationName(String value) {
        this.operationName = value;
    }

    public boolean isSetOperationName() {
        return (this.operationName!= null);
    }

    /**
     * Gets the value of the interfaceQName property.
     * 
     * @return
     *     possible object is
     *     {@link QName }
     *     
     */
    public QName getInterfaceQName() {
        return interfaceQName;
    }

    /**
     * Sets the value of the interfaceQName property.
     * 
     * @param value
     *     allowed object is
     *     {@link QName }
     *     
     */
    public void setInterfaceQName(QName value) {
        this.interfaceQName = value;
    }

    public boolean isSetInterfaceQName() {
        return (this.interfaceQName!= null);
    }

    /**
     * Gets the value of the providerEndpointAddress property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getProviderEndpointAddress() {
        return providerEndpointAddress;
    }

    /**
     * Sets the value of the providerEndpointAddress property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setProviderEndpointAddress(String value) {
        this.providerEndpointAddress = value;
    }

    public boolean isSetProviderEndpointAddress() {
        return (this.providerEndpointAddress!= null);
    }

    /**
     * Gets the value of the endpointName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getEndpointName() {
        return endpointName;
    }

    /**
     * Sets the value of the endpointName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setEndpointName(String value) {
        this.endpointName = value;
    }

    public boolean isSetEndpointName() {
        return (this.endpointName!= null);
    }

    /**
     * Gets the value of the contentLength property.
     * 
     */
    public long getContentLength() {
        return contentLength;
    }

    /**
     * Sets the value of the contentLength property.
     * 
     */
    public void setContentLength(long value) {
        this.contentLength = value;
    }

    public boolean isSetContentLength() {
        return true;
    }

    /**
     * Gets the value of the doesThisResponseIsAnException property.
     * 
     */
    public boolean isDoesThisResponseIsAnException() {
        return doesThisResponseIsAnException;
    }

    /**
     * Sets the value of the doesThisResponseIsAnException property.
     * 
     */
    public void setDoesThisResponseIsAnException(boolean value) {
        this.doesThisResponseIsAnException = value;
    }

    public boolean isSetDoesThisResponseIsAnException() {
        return true;
    }

    /**
     * Gets the value of the any property.
     * 
     * @return
     *     possible object is
     *     {@link Object }
     *     
     */
    public Object getAny() {
        return any;
    }

    /**
     * Sets the value of the any property.
     * 
     * @param value
     *     allowed object is
     *     {@link Object }
     *     
     */
    public void setAny(Object value) {
        this.any = value;
    }

    public boolean isSetAny() {
        return (this.any!= null);
    }

}
